v1-interview
Pause Participant Interview
Pause Participant Interview
curl --request POST \
--url https://api.example.com/v1/participant/interview/pause \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "participant_paused"
}
'import requests
url = "https://api.example.com/v1/participant/interview/pause"
payload = { "reason": "participant_paused" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'participant_paused'})
};
fetch('https://api.example.com/v1/participant/interview/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/participant/interview/pause",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reason' => 'participant_paused'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/participant/interview/pause"
payload := strings.NewReader("{\n \"reason\": \"participant_paused\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/participant/interview/pause")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"participant_paused\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/participant/interview/pause")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"participant_paused\"\n}"
response = http.request(request)
puts response.read_body{
"available": true,
"consented": true,
"status": "not_started",
"agent_connected": false,
"attempt": 0,
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_kind": "question",
"item_text": "<string>",
"missing": [
{
"id": "<string>",
"kind": "question",
"label": "<string>",
"section_id": "<string>"
}
],
"paused_reason": "<string>",
"pending_proposal": {
"confirmation_text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "answer",
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
},
"previous_answer": {},
"proposed_answer": {}
},
"progress": 0,
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
},
"ready_to_finish": false,
"revision": 0,
"scenario": {
"follow_ups_remaining": 1,
"follow_ups_used": 1,
"framing": "stated_intention",
"id": "<string>",
"prompt": "<string>"
},
"section": {
"answered": 1,
"count": 2,
"id": "<string>",
"position": 2,
"title": "<string>",
"total": 1,
"description": "<string>"
},
"target_minutes_max": 123,
"target_minutes_min": 123,
"unavailable_reason": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
Short-lived token bound to one participant session.
Body
application/json
Available options:
participant_paused, switch_to_text, agent_unavailable, microphone_unavailable, connection_lost Response
Successful Response
Available options:
not_started, active, paused, completed, ended_incomplete Required range:
x >= 0Available options:
question, confirmation, scenario, screen_entry, consistency_check, ready_to_finish Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 1- ParticipantSingleSelectQuestion
- ParticipantMultiSelectQuestion
- ParticipantShortTextQuestion
- ParticipantNumberQuestion
- ParticipantDateQuestion
- ParticipantNumberGroupQuestion
Show child attributes
Show child attributes
Required range:
x >= 0Show child attributes
Show child attributes
The part of a core-order journey a page or question belongs to (participant-safe, localized).
Show child attributes
Show child attributes
⌘I
Pause Participant Interview
curl --request POST \
--url https://api.example.com/v1/participant/interview/pause \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "participant_paused"
}
'import requests
url = "https://api.example.com/v1/participant/interview/pause"
payload = { "reason": "participant_paused" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'participant_paused'})
};
fetch('https://api.example.com/v1/participant/interview/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/participant/interview/pause",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reason' => 'participant_paused'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/participant/interview/pause"
payload := strings.NewReader("{\n \"reason\": \"participant_paused\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/participant/interview/pause")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"participant_paused\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/participant/interview/pause")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"participant_paused\"\n}"
response = http.request(request)
puts response.read_body{
"available": true,
"consented": true,
"status": "not_started",
"agent_connected": false,
"attempt": 0,
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_kind": "question",
"item_text": "<string>",
"missing": [
{
"id": "<string>",
"kind": "question",
"label": "<string>",
"section_id": "<string>"
}
],
"paused_reason": "<string>",
"pending_proposal": {
"confirmation_text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "answer",
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
},
"previous_answer": {},
"proposed_answer": {}
},
"progress": 0,
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
},
"ready_to_finish": false,
"revision": 0,
"scenario": {
"follow_ups_remaining": 1,
"follow_ups_used": 1,
"framing": "stated_intention",
"id": "<string>",
"prompt": "<string>"
},
"section": {
"answered": 1,
"count": 2,
"id": "<string>",
"position": 2,
"title": "<string>",
"total": 1,
"description": "<string>"
},
"target_minutes_max": 123,
"target_minutes_min": 123,
"unavailable_reason": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}